List audit log entries for a single profile
AuthorizationBearer <token>
Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
Path Parameters
idinteger
Query Parameters
limit?integer
offset?integer
action?string
One of create, update, delete, propagate, attach_role, detach_role, clone, activate, deactivate.
user_id?string
Response Body
curl -X GET "https://loading/{AI_GATEWAY_URL}/api/access-profiles/0/audit-logs?limit=0&offset=0&action=string&user_id=string"{
"audit_logs": [
{
"id": 0,
"access_profile_id": 0,
"user_id": "string",
"actor": "string",
"action": "string",
"previous_values": "string",
"new_values": "string",
"metadata": "string",
"created_at": "2019-08-24T14:15:22Z"
}
],
"total_count": 0
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}